#ifndef COMMODITYSERVICE_H
#define COMMODITYSERVICE_H

#include <service.h>
#include <isellableservice.h>
#include "data/commodity-data.h"

class CommodityService : public Service<CommodityData>, public ISellableService
{
public:
    CommodityService();

    // ISellableService interface
public:
    QList<ShopItemPtr> shopItems() override;
    void addedToVoucher(int itemId, int countAdded) override;
    virtual ShopItemPtr shopItem(int itemId) override;
    ISeller *seller() override;
    QString defaultSort() override;
};

#endif // COMMODITYSERVICE_H
